<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>ShopBDS Home Page</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <script src="plugins/select2/js/select2.full.min.js"></script>

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
</head>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="index.html"><img id="img-logo" src="images/logo.png" class="w-75"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-danger font-weight-bold px-4 to-slideshow-example" href="#">HOME</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-danger font-weight-bold px-4 to-property-content" href="#">PROJECT</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-danger font-weight-bold px-4 to-new-post" href="#">NEW POSTS</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-danger font-weight-bold px-4 to-utility"
            href="#">SHOPBDS</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-danger font-weight-bold px-4 to-contact-us"
            href="#">CONTACT</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <button class="rainbow rainbow-1" id="btn-new-post"><i
              class="fa-solid fa-arrow-up-from-bracket pr-2"></i>POST</button>
        </li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
                <button class="btn btn-light" id="btn-sign-up"><i class="fa-regular fa-square-plus"></i> Sign
                  up</button>
              </div>
              <div class="text-center mt-1">
                <a id="name-user"></a>
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
    <button class="btn btn-warning" hidden id="btn-admin">ADMIN</button>
  </nav>
  <!-- Slideshow body -->
  <div id="slideshow-example" data-component="slideshow" class="header-slideshow">
    <div role="list">
      <div class="slide">
        <img src="images/home5.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home7.png" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home8.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home9.jpg" width="100%" height="500px" alt="">
      </div>
      <div class="slide">
        <img src="images/home10.jpg" width="100%" height="500px" alt="">
      </div>
    </div>
  </div>

  <!--  Search Box -->
  <div class="container-fluid pt-5 pb-5" id="search-box">
    <div class="container">
      <h2 class="text-center mb-5">TÌM KIẾM DỰ ÁN</h2>
      <div class="row form-group">
        <div class="col-sm-6">
          <div class="row form-group">
            <div class="col-sm-4 text-center pt-2">
              <h5>Tỉnh/Thành</h5>
            </div>
            <div class="col-sm-8 form-group">
              <select id="select-province" class="form-control select2bs4">
                <option value="0" hidden>--Tên tỉnh/thành--</option>
              </select>
            </div>
          </div>
        </div>
        <div class="col-sm-6">
          <div class="row form-group">
            <div class="col-sm-4 text-center pt-2">
              <h5>Quận/Huyện</h5>
            </div>
            <div class="col-sm-8 form-group">
              <select id="select-district" class="form-control select2bs4" disabled>
                <option value="0" hidden>--Tên quận/huyện--</option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <div class="text-center form-group">
        <button class="btn btn-lg px-5 py-2 rainbow rainbow-1" id="btn-find-project"><i
            class="fa-solid fa-magnifying-glass-location mr-2"></i>Tìm</button>
        <button class="btn btn-lg px-5 py-2 rainbow rainbow-1" id="btn-show-all-project">Hiển thị tất cả</button>
      </div>
    </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color">Tổng quan dự án</h2>
      </div>
      <div class="row">
        <div class="container" id="tongQuanDuAn">
          <div class="row">
            <div class="col-sm-6">
              <img id="expandedImg" />
            </div>
            <div class="col-sm-6">
              <div id="infoProject"></div>
            </div>
          </div>
          <!-- Image text -->
          <div id="imgtext" class="text-center"></div>
        </div>
      </div>
      <div class="row" id="real-estate-project"></div>
    </div>
  </div>
  <div class="container-fluid mb-5 paddding-navbar" id="new-post">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color" id="h2-info-bds">Những thông tin BĐS mới nhất</h2>
        <div class="text-right">
          <button class="btn btn-info btn-lg px-5 py-2" id="btn-filter-your-post"><i class="fa-solid fa-filter"></i> Lọc
            bài đăng của bạn</button>
        </div>

      </div>
      <div class="row" id="current-real-estate">
      </div>

    </div>
  </div>

  <!-- 3. bery-upside -->
  <div class="container paddding-navbar">
    <h2 class="title-text-color text-center border-top p-3">NHỮNG ƯU ĐIỂM SẢN PHẨM CỦA SHOPBDS</h2>
    <div class="text-center mt-3 mb-5">

    </div>
    <div class="row mt-3 mb-5">
      <div class="col-sm-6 pr-3 align-self-center">
        <img src="images/about1.png" width="100%" id="img-about">
      </div>
      <div class="col-sm-6">
        <div class="row form-group mt-4">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/doller.png">
          </div>
          <div class="col-sm-10">
            <h3>DỄ DÀNG SỞ HỮU</h3>
            <p>Có nhiều mức giá phù hợp với lựa chọn của khách hàng. Với mức giá cực kỳ tốt và được đánh giá là
              cực "hời" dành cho các nhà đầu tư.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/location.png">
          </div>
          <div class="col-sm-10">
            <h3>DỰ ÁN VÀNG</h3>
            <p>Những dự án nằm tại những vị trí vàng. Nằm cạnh phân khu thấp tầng view không bị che chắn, tạo không
              gian hài hòa với thiên nhiên.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/trusted.png">
          </div>
          <div class="col-sm-10">
            <h3>CHẤT LƯỢNG DỰ ÁN</h3>
            <p>Làm việc với những CĐT có uy tín lớn trên quốc gia. Với sự giám sát xây dựng chặt chẽ từ CĐT và cùng
              đội ngũ nhà thầu chính</p>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h2 class="title-text-color text-center border-top p-3">LÝ DO NÊN CHỌN <img id="img-logo" src="images/logo.png"
        class="w-25"></h2>
    <div class="row">
      <div class="col-sm-4">
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Đội ngũ nhân viên có chuyên môn
          cao,
          tư vấn tận tình.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Sản phẩm có pháp lý rõ ràng, minh
          bạch.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Hỗ trợ trả góp lãi suất ưu đãi,
          thủ tục nhanh gọn.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Miễn phí hủy cọc lần đầu.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Cập nhật sản phẩm nhanh nhất thị
          trường.</h6>
        <h6 class="mb-4"><i class="fa-solid fa-star" style="color: yellow"></i> &nbsp; Tặng kèm nội thất khi mua nhà.
        </h6>
      </div>
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/utilities/uti1.jpg" alt="First slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti2.jpg" alt="Second slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti3.jpg" alt="Third slide" width="70%" height="400px">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/uti4.jpg" alt="Forth slide" width="70%" height="400px">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer py-4" id="footer-content">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-sm-3"><a class="navbar-brand" href="index.html"><img id="img-logo" src="images/logo.png"
              class="w-75"></a></div>
        <div class="col-sm-6 my-3">
          <h5 class="mt-2 ml-3">Công ty TNHH shopBDS</h5><br>
          <a class="mx-2 mt-2 ml-3" href="#">Địa chỉ: 36 Hậu Giang phường 2 quận 6, tpHCM</a><br>
          <a class="mx-2 mt-2 ml-3" href="#">Call/Zalo: 0909887249</a><br>
          <a class="mx-2 mt-2 ml-3" href="#">Email: shopBDS@gmail.com</a>
        </div>
        <div class="col-sm-3 mt-2 ">
          <button class="mx-2 mt-2 ml-3 btn btn-danger" href="#" id="box-request-counseling">Đăng ký tư vấn</button>
        </div>
      </div>
    </div>
  </footer>

  <!-- Modal Sign In -->
  <div class="modal fade" id="loginModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header border-bottom-0">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="form-title text-center">
            <h4>Login</h4>
          </div>
          <div class="d-flex flex-column text-center">
            <div>
              <div class="form-group">
                <input type="text" class="form-control" id="inp-login-username" placeholder="Your username">
              </div>
              <div class="form-group">
                <input type="password" class="form-control" id="inp-login-password" placeholder="Your password">
              </div>
              <button type="button" id="btn-log-in-confirm" class="btn btn-info btn-block btn-round">Login</button>
            </div>

            <div class="text-center text-muted delimiter">or use a social network</div>
            <div class="d-flex justify-content-center social-buttons">
              <button type="button" class="btn btn-secondary btn-round" data-toggle="tooltip" data-placement="top"
                title="Twitter">
                <i class="fab fa-twitter"></i>
              </button>
              <button type="button" class="btn btn-secondary btn-round" data-toggle="tooltip" data-placement="top"
                title="Facebook">
                <i class="fab fa-facebook"></i>
              </button>
              <button type="button" class="btn btn-secondary btn-round" data-toggle="tooltip" data-placement="top"
                title="Linkedin">
                <i class="fab fa-linkedin"></i>
              </button>
              </di>
            </div>
          </div>
        </div>
        <div class="modal-footer d-flex justify-content-center">
          <div class="signup-section">Not a member yet? <a href="#a" id="register-form" class="text-info"> Sign Up</a>.
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal Sign Up -->
  <div class="modal fade" id="signUpModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header border-bottom-0">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="form-title text-center">
            <h4>Sign Up</h4>
          </div>
          <div class="d-flex flex-column text-center">
            <div class="row form-group">
              <div class="col-6 form-group">
                <input id="inp-register-first-name" class="form-control" placeholder="First Name">
              </div>
              <div class="col-6 form-group">
                <input id="inp-register-last-name" class="form-control" placeholder="Last Name">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Address</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="inp-register-address" class="form-control" placeholder="Address">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Email</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="inp-register-email" class="form-control" placeholder="Email">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>User Name<i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <input id="inp-register-username" class="form-control" placeholder="UserName">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Password<i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <input id="inp-register-password" type="password" class="form-control" placeholder="Password">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Confirm Password<i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <input id="inp-register-confirm-password" type="password" class="form-control"
                  placeholder="Confirm Password">
              </div>
            </div>
            <div class="modal-footer">
              <button class="btn btn-primary" id="btn-register-confirm">Sign Up Confirm</button>
              <button class="btn btn-secondary" id="btn-register-cancel" data-dismiss="modal">Cancel</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- reqCounseling modal -->
  <div id="modal-requestCounseling" class="modal fade" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header bg-primary">
          <h5 class="modal-title">Đăng ký để được tư vấn tốt nhất</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="row ">
            <div class="col-sm-4 mt-2">
              <h5>Họ & tên</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-fullname" type="text" class="form-control" placeholder="Họ & tên">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Email</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-email" type="text" class="form-control" placeholder="Email">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Phone</h5>
            </div>
            <div class="col-sm-8">
              <input id="input-phone" type="text" class="form-control" placeholder="Số điện thoại">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-4 mt-2">
              <h5>Lời nhắn</h5>
            </div>
            <div class="col-sm-8">
              <textarea id="input-message" type="text" class="form-control" rows="3"
                placeholder="Nội dung lời nhắn"></textarea>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button class="rainbow rainbow-1" id="btn-reqCounseling"><b>ĐĂNG KÝ</b></button>
          <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
        </div>
      </div>
    </div>
  </div>

</body>

<script>

  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3500;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gRole;
    var gClick = 0;
    var gIdPro = 0;
    var gEmployees = [];

    var gDetailsPro;

    const token = getCookie("token");

    var gUserId;

    const ckbRememberAccount = $("#ckb-remember-account"),
      inpUserName = $("#inp-login-username");

    if (localStorage.checkbox && localStorage.checkbox !== "") {
      ckbRememberAccount.attr("checked", "checked");
      inpUserName.value = localStorage.username;
    } else {
      ckbRememberAccount.removeAttr("checked");
      inpUserName.value = "";
    }

    if (token != "") {
      $("#btn-log-in").hide();
      $("#btn-sign-up").hide();
    } else {
      $('#name-user').hide();
      $("#btn-log-out").hide();
      $("#btn-filter-your-post").hide();
    }
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    onPageLoading();

    $('#btn-show-all-project').on('click', showAllProject);

    $('#real-estate-project').on('click', '.photo', function () {
      myFunction(this);
    });

    $('#box-request-counseling').on('click', function () {
      $('#modal-requestCounseling').modal("show");
    });

    var getTxt = $('.content p').text();
    var realTxt = [getTxt]
    var textCol = [getTxt]
    var wordsCount = textCol[0].split(' ').length;
    var words = textCol[0].split(' ');
    var wordsLimit = 40;
    var limitCol;

    if (wordsLimit <= wordsCount) {
      words.splice(wordsLimit, wordsCount - wordsLimit);
      words = words.join(' ');
      $('.content p').text(words + '...');
      limitCol = $('.content p').text();
    }

    $('.like').click(function () {
      $(this).toggleClass('clicked');
    });

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-new-post").click(function () {
      $('html, body').animate({
        scrollTop: $("#new-post").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#footer-content").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      $('#loginModal').modal("show");
    });

    //Set sự kiện cho nút sign up
    $("#btn-sign-up").on("click", function () {
      $('#signUpModal').modal("show");
    });

    //Set sự kiện sign up in modal login
    $('#register-form').on("click", function () {
      $('#loginModal').modal("hide");
      $('#signUpModal').modal("show");
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    //Set sự kiện confirm tạo tk
    $("#btn-register-confirm").on("click", function () {
      onBtnRegisterConfirmClick();
    });

    //Set sự kiện confirm login
    $("#btn-log-in-confirm").on("click", function () {
      onBtnLogInConfirmClick();
    });

    //Set sự kiện cho nút đăng tin
    $("#btn-new-post").on("click", function () {
      if (token != "") {
        window.location.href = "add-realestate.html";
      } else {
        $('#loginModal').modal("show");
      }
    });

    // gán sự kiện cho nút admin khi role thỏa
    $('#btn-admin').on('click', onBtnAdminClick);

    // gán xự kiện lấy data cho nút sửa tin
    $("#current-real-estate").on("click", "#btn-update-post", function () {
      if (token != "") {
        onBtnUpdateRealEstateClick(this);
      } else {
        $('#loginModal').modal("show");
      }
    });

    // gán xự kiện lấy data cho nút sửa tin
    $("#current-real-estate").on("click", "#detail-real-estate", function () {
      if (token != "") {
        onDetailRealEstateClick(this);
      } else {
        $('#loginModal').modal("show");
      }
    });

    // gán xự kiện lấy data cho nút sửa tin
    $("#current-real-estate").on("click", "#detail-real-estate1", function () {
      if (token != "") {
        onDetailRealEstate1Click(this);
      } else {
        $('#loginModal').modal("show");
      }
    });

    // gán xự kiện lấy data của project
    $(document).on("click", "#btn-project-details", function () {
      window.location.href = "project-details.html?projectId=" + gDetailsPro.id;
    });

    // gán sự kiện lọc dữ liệu bài đăng của user
    $("#btn-filter-your-post").on("click", function () {
      gClick++;
      if (gClick % 2 == 0) {
        $("#btn-filter-your-post").html(`<i class="fa-solid fa-filter"></i> Lọc bài đăng của bạn`);
        $('#h2-info-bds').html("Những thông tin BĐS mới nhất");
        callApiGetCurrentListRealEstate();
      } else {
        $("#btn-filter-your-post").html("Hiển thị BĐS mới nhất");
        $('#h2-info-bds').html("Bài đăng của bạn");
        callApiGetRealEstateByEmployeeId();
      }

    });

    // gán xự kiện khi ô select thay đổi
    $("#select-province").on("change", function () {
      $("#select-district").html("");
      var bProvinceId = $(this).val();
      callApiGetDistrictByProvinceId(bProvinceId);
    });

    // gán xự kiện  nút tìm kiếm realEstate
    $("#btn-find-project").on("click", function () {
      onBtnFindProjectClick();
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    // gán sự kiện khi click đăng ký tư vấn
    $('#btn-reqCounseling').on('click', onBtnReqCounselingClick);

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";

      callApiGetAllProvinces();

      callApiGetUserIdByToken();

      callApiGetAllEmployees();

      if (gRole == 2 || gRole == 3) {
        $('#btn-admin').removeAttr("hidden");
      }

      callApiGetProject();

      callApiGetCurrentListRealEstate();
    }

    // Hàm xử lý tạo tài khoản
    function onBtnRegisterConfirmClick() {
      "use strict";
      var vRegisterData = {
        firstName: "",
        lastName: "",
        address: "",
        email: "",
        username: "",
        password: "",
      }
      // B1: Thu thập dữ liệu
      var vConfirmPasswordValue = $("#inp-register-confirm-password").val().trim();
      getRegisterData(vRegisterData);
      // B2: Kiểm tra dữ liệu
      var isValidate = validateRegisterData(vRegisterData, vConfirmPasswordValue);
      if (isValidate == true) {
        // B3: xử lý hiển thị dữ liệu
        callApiRegisterUser(vRegisterData);
        $("#signUpModal").modal("hide");
      }
    }

    // Hàm xử lý log in
    function onBtnLogInConfirmClick() {
      "use strict";
      var vLogInData = {
        username: "",
        password: "",
      }
      if (ckbRememberAccount.checked && inpUserName.value !== "") {
        localStorage.username = inpUserName.value;
        localStorage.checkbox = ckbRememberAccount.value;
      } else {
        localStorage.username = "";
        localStorage.checkbox = "";
      }
      // B1: Thu thập dữ liệu
      getLogInData(vLogInData);
      // B2: Kiểm tra dữ liệu
      var isValidate = validateLogInData(vLogInData);
      if (isValidate == true) {
        // B3: xử lý hiển thị dữ liệu
        callApiLogInUser(vLogInData);
        $('#loginModal').modal("hide");
      }
    }

    function showAllProject() {
      $('#infoProject').html("");
      $('#imgtext').html("");
      $('#expandedImg').removeAttr("src");
      $('#expandedImg').removeAttr("style");
      callApiGetProject();
    }

    function onCardProjectDetail1Click(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValueId = $(paramDetail).children('input').val();
      //console.log(vValueId);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROJECT_DETAILS_URL = "project-details.html"
      var vUrlSiteToOpen = vPROJECT_DETAILS_URL + "?" + "projectId=" + vValueId;
      window.location.href = vUrlSiteToOpen;
    }

    function onDetailRealEstateClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html"
      var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
      window.location.href = vUrlSiteToOpen;
    }

    function onDetailRealEstate1Click(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html"
      var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
      window.location.href = vUrlSiteToOpen;
    }

    function onBtnAdminClick() {
      if (gRole == 2) {
        window.location.href = "../AdminFrontEnd/realestate.html";
      }
      else if (gRole == 3) {
        window.location.href = "../AdminFrontEnd/realestate1.html";
      }
    }

    function onBtnUpdateRealEstateClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      console.log(vValue);
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu(bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      callApiGetRealEstateById(vValue);
    }

    function onBtnFindProjectClick() {
      "use strict";
      $('#infoProject').html("");
      $('#imgtext').html("");
      $('#expandedImg').removeAttr("src");
      $('#expandedImg').removeAttr("style");
      // B1: Thu thập dữ liệu
      var vProvinceSelected = $("#select-province").val();
      var vDistrictSelected = $("#select-district").val();
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      callApiGetProjectByProvinceIdAndDistrictId(vProvinceSelected, vDistrictSelected);

    }

    function onBtnReqCounselingClick() {
      var vReqObj = {
        fullname: "",
        email: "",
        phoneNum: "",
        message: ""
      };
      vReqObj.fullname = $('#input-fullname').val();
      vReqObj.email = $('#input-email').val();
      vReqObj.phoneNum = $('#input-phone').val();
      vReqObj.message = $('#input-message').val();
      var vIsCheck = validateData(vReqObj);
      if (vIsCheck == true) {
        // console.log(vReqObj);
        callApiPostNewReqCounseling(vReqObj);
        $('#input-fullname').val("");
        $('#input-email').val("");
        $('#input-phone').val("");
        $('#input-message').val("");
        $('#modal-requestCounseling').modal("hide");
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    // Hàm gọi api lấy tất cả employee
    function callApiGetAllEmployees() {
      $.ajax({
        url: "http://localhost:8080/employees",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          gEmployees = paramResponseObj;
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function callApiGetProject() {
      $.ajax({
        url: "http://localhost:8080/projects/",
        method: "GET",
        async: "false",
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getProjectDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          //console.log(paramError);
        }
      });
    }

    // Hàm gọi api tất cả tỉnh thành
    function callApiGetAllProvinces() {
      $.ajax({
        url: "http://localhost:8080/provinces",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProvinceSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu district bằng province id
    function callApiGetDistrictByProvinceId(paramProvinceId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/districts/province/" + paramProvinceId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToDistrictSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm thu thập dữ liệu in modal log in
    function getLogInData(paramUserData) {
      paramUserData.username = $("#inp-login-username").val().trim();
      paramUserData.password = $("#inp-login-password").val().trim();
    }

    // Hàm validate dữ liệu log in
    function validateLogInData(paramUserData) {
      if (paramUserData.username == "") {
        alertError("User Name không được để trống");
        return false;
      }
      if (paramUserData.password == "") {
        alertError("Password không được để trống");
        return false;
      }
      return true;
    }

    // Hàm call api log in
    function callApiLogInUser(paramUserData) {
      $.ajax({
        url: "http://localhost:8080/login",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramUserData),
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          responseHandler(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Đăng nhập không thành công.");
        }
      });
    }

    //Xử lý object trả về khi login thành công
    function responseHandler(data) {
      //Lưu token vào cookie trong 1 ngày
      setCookie("token", data, 1);

      callApiGetUserIdByTokenAfterLogin(data);
    }

    // Hàm thu thập dữ liệu in modal sign up
    function getRegisterData(paramUserData) {
      paramUserData.firstName = $("#inp-register-first-name").val().trim();
      paramUserData.lastName = $("#inp-register-last-name").val().trim();
      paramUserData.address = $("#inp-register-address").val().trim();
      paramUserData.email = $("#inp-register-email").val().trim();
      paramUserData.username = $("#inp-register-username").val().trim();
      paramUserData.password = $("#inp-register-password").val().trim();
    }

    // Hàm validate dữ liệu sign up
    function validateRegisterData(paramUserData, paramConfirmPassword) {
      if (paramUserData.firstName == "") {
        alertError("First Name không được để trống");
        return false;
      }
      if (paramUserData.lastName == "") {
        alertError("Last Name không được để trống");
        return false;
      }
      if (paramUserData.email == "") {
        alertError("Email không được để trống.");
        return false;
      }
      for (let i = 0; i < gEmployees.length; i++) {
        if (paramUserData.username == gEmployees[i].username) {
          alertError("User Name đã tồn tại.");
          return false;
        }
      }
      if (paramUserData.username == "") {
        alertError("User Name không được để trống.");
        return false;
      }
      if (paramUserData.password == "") {
        alertError("Password không được để trống");
        return false;
      }
      if (paramConfirmPassword != paramUserData.password) {
        alertError("Confirm Password không đúng");
        return false;
      }
      return true;
    }

    // Hàm call api sign up
    function callApiRegisterUser(paramUserData) {
      $.ajax({
        url: "http://localhost:8080/register",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramUserData),
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          alertSuccess("Đăng ký thành công.");
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Đăng ký không thành công.");
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu realestate bằng provinceid và districtid
    function callApiGetProjectByProvinceIdAndDistrictId(paramProvinceId, paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/projects/" + paramProvinceId + "/" + paramDistrictId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getProjectDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Không tìm thấy dự án BĐS nào.");
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu realestate bằng provinceid và districtid
    function callApiGetCurrentListRealEstate() {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/currentListRealEstates",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getRealEstateDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function callApiGetUserIdByToken() {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        dataType: "json",
        async: false,
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (responseObject) {
          // console.log(responseObject);
          gUserId = responseObject;
          callApiGetEmployeeByID();
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    };

    // Hàm xử lý lấy UserId by token sau khi login
    function callApiGetUserIdByTokenAfterLogin(paramToken) {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + paramToken,
        },
        success: function (responseObject) {
          //console.log(responseObject);
          window.location.href = "index.html"
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    }

    // Hàm gọi api lấy dữ liệu employee bằng id
    function callApiGetEmployeeByID() {
      $.ajax({
        url: "http://localhost:8080/employees/" + gUserId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          // console.log(paramResponseObj);
          $('#name-user').html("Hello, " + paramResponseObj.firstName + " " + paramResponseObj.lastName);
          gRole = paramResponseObj.roles[0].id;
          // console.log(gRole)
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy dữ liệu realEstate bằng id
    function callApiGetRealEstateByEmployeeId() {
      $.ajax({
        url: "http://localhost:8080/realEstates/limit/employee/" + gUserId,
        method: "GET",
        async: false,
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          // console.log(paramResponseObj);
          getRealEstateDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError.responseText);
          alertError("Bạn chưa có bài đăng!");
        }
      });
    }

    function callApiGetRealEstateById(paramRealEstateId) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        type: 'GET',
        dataType: "json",
        async: false,
        success: function (responseObject) {
          //console.log(responseObject);
          if (gRole == 2) {
            const vUPDATE_REALESTATE_URL = "update-realestate.html"
            var vUrlSiteToOpen = vUPDATE_REALESTATE_URL + "?" + "realEstateId=" + paramRealEstateId;
            window.location.href = vUrlSiteToOpen;
          } else {
            if (gUserId == responseObject.employee.employeeID) {
              const vUPDATE_REALESTATE_URL = "update-realestate.html"
              var vUrlSiteToOpen = vUPDATE_REALESTATE_URL + "?" + "realEstateId=" + paramRealEstateId;
              window.location.href = vUrlSiteToOpen;
            } else {
              alertError("Không phải Tin/Bài đăng của bạn.");
            }
          }
        },
        error: function (pAjaxContext) {
          console.assert(pAjaxContext);
        }
      });
    };

    // Load dữ liệu vào ô select trên modal create ward
    function loadDataToProvinceSelect(paramResponse) {
      "use strict";
      var vProvinceSelect = $("#select-province");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].name);
        vProvinceSelect.append(bOption);
      };
    }

    // Load dữ liệu phản hồi vào ô select
    function loadDataToDistrictSelect(paramResDistrictList) {
      "use strict";
      var vDistrictSelectElement = $("#select-district");
      if (paramResDistrictList.length > 0) {
        vDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResDistrictList[i].id);
          bDistrictOption.prop("text", paramResDistrictList[i].name);
          vDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        vDistrictSelectElement.prop("disabled", true);
      }
    }

    // Hàm lấy danh sách các realestate
    function getProjectDataLoadToForm(paramProjectList) {
      "use strict";
      $("#real-estate-project").html("");
      var vRealEstate = "";
      for (let bI = 0; bI < paramProjectList.length; bI++) {
        vRealEstate += `
        <div class="column">
          <a id="` + paramProjectList[bI].id + `"><img src="` + paramProjectList[bI].photo + `" alt="` + paramProjectList[bI].name + `" class="photo"
           style="width:150px; height:100px"></a>
        </div>
        `;
        $("#real-estate-project").html(vRealEstate);
      }
    }

    // Hàm lấy danh sách các realestate
    function getRealEstateDataLoadToForm(paramRealEstate) {
      "use strict";
      $("#current-real-estate").html("");
      console.log(paramRealEstate);
      var vRealEstate = "";
      for (let bI = 0; bI < paramRealEstate.length; bI++) {
        vRealEstate += `
        <div class="col-sm-4">
        <div class="container">
          <div class="item-list">
            <div class="item item-1">
              <div class="img"><a href="javascript:;">
                  <div class="like"><i class="fa fa-heart" aria-hidden="true"></i></div></a>
                <div class="img-content"><img src="` + paramRealEstate[bI].photo + `"/></div>
              </div>
              <div class="social">
                <a href="javascript:;"><div class="fb"><i class="fa-solid fa-phone-volume" aria-hidden="true"></i></div></a>
                <a href="javascript:;"><div class="ig"><i id="detail-real-estate" class="fa-solid fa-info" aria-hidden="true">
                  <input type="hidden" value="` + paramRealEstate[bI].id + `"/></i></div></a>
                <a href="javascript:;"><div class="tw"><i id="btn-update-post" class="fa-solid fa-pen-to-square">
                  <input type="hidden" value="` + paramRealEstate[bI].id + `"/></i></div></a>
              </div>
              <div class="text-container">
                <h2 class="title">` + paramRealEstate[bI].apartCode + `</h2>
                <p>Tiêu đề: ` + paramRealEstate[bI].title + `</p>
                <p>Address: ` + paramRealEstate[bI].project.address + `</p>
                <p><i class="fa-regular fa-square"></i> &nbsp; ` + paramRealEstate[bI].acreage + ` m2
                  &nbsp; <i class="fa-solid fa-bed"></i> &nbsp; ` + paramRealEstate[bI].bedroom + `
                  &nbsp; <i class="fa-solid fa-bed"></i> &nbsp; ` + paramRealEstate[bI].bath + `</p>
                <h5 class="text-danger"> ` + paramRealEstate[bI].price + `&nbsp; <i class="fa-solid fa-dollar-sign"></i>
                </h5>
              </div>
            </div>
            </div>
          </div>
        </div>`;
      }
      console.log(gRole);
      $("#current-real-estate").html(vRealEstate);
    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    // Hàm alert error
    function alertError(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'error',
          title: paramTitle,
        })
      });
    }

    // Hàm alert success
    function alertSuccess(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'success',
          title: paramTitle,
        })
      });
    }

    function validateData(paramObj) {
      var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      if (paramObj.fullname == "") {
        alert("Bạn phải nhập Họ tên!");
        return false;
      }
      if (paramObj.email == "") {
        alert("Bạn phải nhập Email!");
        return false;
      }
      if (!regex.test(paramObj.email)) {
        alert("Email không đúng định dạng!");
        return false;
      }
      if (paramObj.phoneNum == "") {
        alert("Bạn phải nhập Số điện thoại!");
        return false;
      }
      return true;
    }

    function callApiPostNewReqCounseling(paramObj) {
      $.ajax({
        url: "http://localhost:8080/reqCounseling",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramObj),
        success: function (res) {
          console.log(res);
          alert("Gửi yêu cầu tư vấn thành công!");
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Gửi yêu cầu tư vấn không thành công!");
        }
      });
    }

    function myFunction(imgs) {
      // console.log($(imgs).parents("a"));
      var gProIn = $(imgs).parents("a");
      gIdPro = gProIn[0].id;
      console.log(gIdPro);
      // Get the expanded image
      $('#expandedImg').attr("src", imgs.src);
      $('#expandedImg').attr("style", "width:100%; height:500px");
      // Use the value of the alt attribute of the clickable image as text inside the expanded image
      $('#imgtext').html(imgs.alt);
      callApiGetProjectById();
    }

    function callApiGetProjectById() {
      $.ajax({
        url: "http://localhost:8080/projects/" + gIdPro,
        method: "GET",
        async: "false",
        success: function (paramResponseObj) {
          gDetailsPro = paramResponseObj;
          console.log(gDetailsPro);
          showInfoProject();
        },
        error: function (paramError) {
          //console.log(paramError);
        }
      });
    }

    function showInfoProject() {
      $('#infoProject').html("");
      var vInfoProject = "";
      vInfoProject += `
        <div class="row">
          <h3>Tên dự án: ` + gDetailsPro.name + `</h3>  
        </div>
        <div class="row">
          <a>Địa chỉ: ` + gDetailsPro.address + `</a>  
        </div>
        <div class="row">
          <a>Số căn hộ: ` + gDetailsPro.numApartment + `</a>  
        </div>
        <div class="row">
          <a>Diện tích: ` + gDetailsPro.apartmenttArea + `</a>  
        </div>
        <div class="row">
          <a>Slogan: ` + gDetailsPro.slogan + `</a>  
        </div>
        <div class="row">
          <a>Tiện ích: ` + gDetailsPro.utilities + `</a>  
        </div>
        <div class="row">
          <a>Vị trí: ` + gDetailsPro.regionLink + `</a>  
        </div>
        <div class="row">
          <button class="btn btn-info" id="btn-project-details">Chi tiết</button>
        </div>
      `;
      $('#infoProject').html(vInfoProject);
    }
  });



</script>

</html>